Bug 22147 - Hide 'Batch modify' button when printing reports
Summary: Hide 'Batch modify' button when printing reports
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Reports (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low trivial (vote)
Assignee: Jasmine Amohia
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2019-01-16 21:04 UTC by Aleisha Amohia
Modified: 2019-05-27 12:27 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 22147: Hidden 'Batch modify' button on report print layout (2.19 KB, patch)
2019-01-16 21:32 UTC, Jasmine Amohia
Details | Diff | Splinter Review
Bug 22147: Hidden 'Batch modify' button on report print layout (2.24 KB, patch)
2019-01-17 06:42 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 22147: Hidden 'Batch modify' button on report print layout (2.30 KB, patch)
2019-02-08 14:17 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2019-01-16 21:04:30 UTC
To reproduce: 
1) Create or run a report that has an itemnumber column
2) Notice the Batch modify button under the itemnumber heading
3) Print the page 
4) Notice the button still shows on the printed page
Comment 1 Jasmine Amohia 2019-01-16 21:32:23 UTC
Created attachment 84097 [details] [review]
Bug 22147: Hidden 'Batch modify' button on report print layout

Test plan:
1) Create or run a report that has an itemnumber column
2) Notice the Batch modify button under the itemnumber heading
3) Print the page
4) Notice the button no longer shows on the printed page
Comment 2 Katrin Fischer 2019-01-17 06:42:20 UTC
Created attachment 84127 [details] [review]
Bug 22147: Hidden 'Batch modify' button on report print layout

Test plan:
1) Create or run a report that has an itemnumber column
2) Notice the Batch modify button under the itemnumber heading
3) Print the page
4) Notice the button no longer shows on the printed page

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 3 Martin Renvoize 2019-02-08 14:17:53 UTC
Created attachment 84866 [details] [review]
Bug 22147: Hidden 'Batch modify' button on report print layout

Test plan:
1) Create or run a report that has an itemnumber column
2) Notice the Batch modify button under the itemnumber heading
3) Print the page
4) Notice the button no longer shows on the printed page

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2019-02-08 14:18:16 UTC
No regressions found, sane and sensible change.

Passing QA
Comment 5 Nick Clemens 2019-02-19 14:33:07 UTC
Awesome work all!

Pushed to master for 19.05
Comment 6 Martin Renvoize 2019-02-26 09:00:32 UTC
Pushed to 18.11.x for 18.11.04
Comment 7 Lucas Gass 2019-03-06 21:44:46 UTC
backported to 18.05.x for 18.05.11